Bug 818728 - KMS with ATI card (TURKS) fails to boot
KMS with ATI card (TURKS) fails to boot
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-03 15:57 EDT by Ben Boeckel
Modified: 2014-02-05 06:57 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 06:57:49 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg output (3.83 KB, text/x-log)
2012-05-17 13:55 EDT, Ben Boeckel
no flags Details
dmesg output with drm.debug=4 (96.78 KB, application/octet-stream)
2012-06-14 13:43 EDT, Ben Boeckel
no flags Details

  None (edit)
Description Ben Boeckel 2012-05-03 15:57:42 EDT
Description of problem:
With the following card, booting fails if KMS is enabled. Passing nomodeset on the kernel command line allows vesa to work at least. When booting, the screen(s) come up with corruption with some of the buffers from the last boot on the screen tiled. What appears to be dmesg output is also there, paused. No keyboard input seems to be accepted. Ctrl+Alt+Del does trigger a reboot though. Don't know if it's a regression; never tried F15 or F16.

08:00.0 VGA compatible controller: ATI Technologies Inc NI Turks [AMD Radeon HD 6500]

Will try with the newest kernel version (kernel-3.3.4-3.fc17.x86_64) soon.

Version-Release number of selected component (if applicable):
kernel-3.3.2-8.fc17.x86_64

How reproducible:
Always.
Comment 1 Ben Boeckel 2012-05-17 12:47:13 EDT
The last message in the output seems to be "Loading TURKS microcode". This is with the latest Rawhide kernel (3.4.0-0.rc7.git1.1.fc18.x86_64).
Comment 2 Ben Boeckel 2012-05-17 13:55:46 EDT
Created attachment 585285 [details]
dmesg output

dmesg output after booting with nomodeset and then running:

rmmod radeon && modprobe radeon modeset=1
Comment 3 Ben Boeckel 2012-05-17 13:59:11 EDT
The machine still runs and chugs along just fine but the monitors are getting no signal.
Comment 4 Ben Boeckel 2012-06-14 12:04:33 EDT
This also happens with Fedora 17 GA.
Comment 5 Ben Boeckel 2012-06-14 13:43:03 EDT
Created attachment 591886 [details]
dmesg output with drm.debug=4
Comment 6 Gökçen Eraslan 2012-08-13 03:45:22 EDT
Still reproducable with 

xorg-x11-drv-ati-6.14.4-6.20120602git930760942.fc17.x86_64 

and 

kernel-3.5.1-1.fc17.x86_64
Comment 7 Ben Boeckel 2013-06-12 23:42:12 EDT
This is still occurring in F18 as of a week or two ago (I'll try again when I do the upgrade to F19 on the relevant machine).
Comment 8 Fedora End Of Life 2013-12-21 03:35:47 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2014-02-05 06:57:52 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.